#!/bin/sh -e

build_package()
{
    cd $tool
    autoreconf -fi # Update the Makefile.
    ./configure \
	--prefix=/usr
    make
    make DESTDIR="$1" install
    cd ..
}

# We don't need the junk that the Debian folks shove in here.
rm -r debian

# Build each of the remaining tools in turn.
for tool in `ls`
do
    build_package $1 # Pass our working directory to the function.
done
